ClusterManagementException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementException

Package org.apache.geode.management.api

# Class ClusterManagementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.management.api.ClusterManagementException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ClusterManagementRealizationException`

public class ClusterManagementException extends RuntimeException
Base class of all exceptions thrown by `ClusterManagementService` implementations.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementException(ClusterManagementResult result)`
  `ClusterManagementException(ClusterManagementResult.StatusCode statusCode, String message)`
  for internal use only
  `ClusterManagementException(ClusterManagementResult result, Throwable cause)`
  for internal use only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClusterManagementResult`
  `getResult()`
  for internal use only
  `ClusterManagementResult.StatusCode`
  `getStatusCode()`
  get the status code of the unsuccessful result
  `String`
  `getStatusMessage()`
  get the status message of the unsuccessful result, if available

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementException

    public ClusterManagementException(ClusterManagementResult.StatusCode statusCode, String message)
    for internal use only
    Parameters:
      `statusCode` - the `ClusterManagementResult.StatusCode` of the result
      `message` - the status message to set

  - ### ClusterManagementException

    public ClusterManagementException(ClusterManagementResult result)

  - ### ClusterManagementException

    public ClusterManagementException(ClusterManagementResult result, Throwable cause)
    for internal use only
    Parameters:
      `result` - the result to set
      `cause` - the cause of this exception

- ## Method Details

  - ### getResult

    public ClusterManagementResult getResult()
    for internal use only
    Returns:
      the `ClusterManagementResult` associated with this exception

  - ### getStatusCode

    public ClusterManagementResult.StatusCode getStatusCode()
    get the status code of the unsuccessful result
    Returns:
      the `ClusterManagementResult.StatusCode` of the result associated with this exception

  - ### getStatusMessage

    public String getStatusMessage()
    get the status message of the unsuccessful result, if available
    Returns:
      the status message of the result associated with this exception